/**
 * 
 *   Copyright (c)  2009 Obeo.
 *   All rights reserved. This program and the accompanying materials
 *   are made available under the terms of the Eclipse Public License v1.0
 *   which accompanies this distribution, and is available at
 *   http://www.eclipse.org/legal/epl-v10.html
 *   
 *   Contributors:
 *       Obeo - initial API and implementation
 *  
 *
 * $Id: Overview.java,v 1.2 2010/02/25 15:50:40 cbrun Exp $
 */
package org.eclipse.amalgam.discovery;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Overview</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.amalgam.discovery.Overview#getSummary <em>Summary</em>}</li>
 *   <li>{@link org.eclipse.amalgam.discovery.Overview#getScreenshot <em>Screenshot</em>}</li>
 *   <li>{@link org.eclipse.amalgam.discovery.Overview#getUrl <em>Url</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.amalgam.discovery.DiscoveryPackage#getOverview()
 * @model
 * @generated
 */
public interface Overview extends EObject {
    /**
	 * Returns the value of the '<em><b>Summary</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Summary</em>' attribute isn't clear,
     * there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
	 * @return the value of the '<em>Summary</em>' attribute.
	 * @see #setSummary(String)
	 * @see org.eclipse.amalgam.discovery.DiscoveryPackage#getOverview_Summary()
	 * @model required="true"
	 * @generated
	 */
    String getSummary();

    /**
	 * Sets the value of the '{@link org.eclipse.amalgam.discovery.Overview#getSummary <em>Summary</em>}' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Summary</em>' attribute.
	 * @see #getSummary()
	 * @generated
	 */
    void setSummary(String value);

    /**
	 * Returns the value of the '<em><b>Screenshot</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Screenshot</em>' attribute isn't clear,
     * there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
	 * @return the value of the '<em>Screenshot</em>' attribute.
	 * @see #setScreenshot(String)
	 * @see org.eclipse.amalgam.discovery.DiscoveryPackage#getOverview_Screenshot()
	 * @model
	 * @generated
	 */
    String getScreenshot();

    /**
	 * Sets the value of the '{@link org.eclipse.amalgam.discovery.Overview#getScreenshot <em>Screenshot</em>}' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Screenshot</em>' attribute.
	 * @see #getScreenshot()
	 * @generated
	 */
    void setScreenshot(String value);

    /**
	 * Returns the value of the '<em><b>Url</b></em>' attribute.
	 * The default value is <code>"http://www.eclipse.org/modeling"</code>.
	 * <!-- begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Url</em>' attribute isn't clear,
     * there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
	 * @return the value of the '<em>Url</em>' attribute.
	 * @see #setUrl(String)
	 * @see org.eclipse.amalgam.discovery.DiscoveryPackage#getOverview_Url()
	 * @model default="http://www.eclipse.org/modeling" required="true"
	 * @generated
	 */
    String getUrl();

    /**
	 * Sets the value of the '{@link org.eclipse.amalgam.discovery.Overview#getUrl <em>Url</em>}' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Url</em>' attribute.
	 * @see #getUrl()
	 * @generated
	 */
    void setUrl(String value);

} // Overview
